Subject: RE: [Diffserv] Help ?

From: Jay Wang <[email-masked]>
Date: Fri, 19 Jan 2001 13:01:58 -0800

> -----Original Message-----
> From: Dan Grossman [mailto:[email-masked]]
> Sent: Friday, January 19, 2001 12:31 PM
> To: Jay Wang
> Cc: Bora Akyol; Brian E Carpenter; Hari Kishan (ECI); 
> [email-masked]
> Subject: Re: [Diffserv] Help ? 
> 
> 
> 
> > Dan,
> > 
> > An instance of a PDB type with different bandwidth amount 
> > associated with it? To me, this is not "an instance" of PDB.  
> > This is a (logical) pipe that employs the PDB. I think DSCP 
> > is meant to indicate which service grade the packet should be 
> > associated with, not which flows. You are almost using DSCP 
> > like an MPLS label. If you can aggregrate two flows of the same 
> > PDB type and honor the SLS (e.g., bandwidth) requirement in your 
> > DS domain (and you should), why bother to assign them distinct 
> > DSCP's?  
> > 
> Jay, 
> You are talking about concepts ("logical pipes", "service 
> grades") that do not exist in RFC 2474, RFC 2475, the 
> terminology draft or the PDB definition draft.
> 

You are right, and this is why I think one should not use DSCPs 
as a flow switch.

> DSCPs do NOT indicate anything about services.  They select 
> the forwarding behavior that the packet will receive at each 
> hop in the DS domain.  

Of course DSCPs indicate "services".  Although Diffserv WG does 
not dictate the mapping of DSCP to services, like you pointed
out it selects the PHB. And these different PHBs imply different 
treatment to the associated packets on the forwarding plane,
therefore different forwarding "services".   

> What we seem to be learning is that 
> forwarding behaviors imply resources, and that for a variety 
> of reasons, a DS domain wants to apply the same type of 
> forwarding behavior with different resources to different BAs.

Oh, I think our definitions of a BA is very different. The point
what you said here does not mean that you need to use different 
DSCPs for packets say A and B who are of the same PHBs and have the 
same drop precedence but just happen to belong to different traffic 
entities ("flows", "logical pipes" or whatever you want to call it, 
but please not BAs to me) that need different resource requirements. 
And you seem to equate each of such "flow" as a seperate BA, which is 
what is troblsome.

> No, I'm not using a DSCP like a label.  A label identifies a 
> flow (aggregated or otherwise).  A DSCP selects a PHB.
> 

Believe me, I am not accusing you of not knowing the definition
differences between the two.

> And the answer to your last question, check the archives of 
> the list for the discussion of the past few weeks on AR 
> (concerning reasons why an ISP might want multiple AR 
> instances) and the last version of the VW draft (concerning 
> VW behavior for BAs with different rates).
> 

I will certainly do so.

- Jay

> Dan